--========================================================================================================================
-- USER SETTINGS (THIS IS NEEDED IN MOST CASES)
--========================================================================================================================
-- JFD_GlobalUserSettings
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
	Type 				text 			default null,
	Value 				integer 		default 1);
--=======================================================================================================================
-- Bingle's Civ IV Traits
--=======================================================================================================================
-- Leader_SharedTraits
------------------------------
CREATE TABLE IF NOT EXISTS
Leader_SharedTraits (
LeaderType          text    REFERENCES Leaders(Type)        default null,
TraitOne            text    REFERENCES Policies(Type)       default null,
TraitTwo            text    REFERENCES Policies(Type)       default null);

INSERT OR REPLACE INTO Leader_SharedTraits
(LeaderType,                TraitOne,                  TraitTwo)
SELECT      'LEADER_THP_MUIZZ',    'POLICY_INVENTIVE_X',        'POLICY_SPIRITUAL_X'
WHERE EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
------------------------------
-- Leaders
------------------------------
UPDATE Leaders
SET Description = 'al-Muizz [ICON_RESEARCH][ICON_PEACE]'
WHERE Type = 'LEADER_THP_MUIZZ'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- GAZEBO COMMUNITY PATCH
--==========================================================================================================================
-- COMMUNITY
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
--==========================================================================================================================
-- GEDEMON R.E.D.
--==========================================================================================================================
-- Civilizations
--------------------------------------------------------------------------------------------------------------------------	
UPDATE Civilizations 
SET ArtStyleSuffix = '_ARABIA'
WHERE Type = 'CIVILIZATION_THP_FATIMID_MUIZZ'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_ARABIA');
--========================================================================================================================
-- GEDEMON's YNAEMP (+JFD's v23 / 24)
--========================================================================================================================
-- Civilizations_YagemStartPosition (Earth Giant)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YagemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YagemStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	31,  48);
------------------------------------------------------------	
-- Civilizations_YahemStartPosition (Earth Huge)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_YahemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YahemStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	70,	46);
------------------------------------------------------------	
-- Civilizations_CordiformStartPosition (Earth Standard)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_CordiformStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_CordiformStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	44,	18);
------------------------------------------------------------
-- Civilizations_GreatestEarthStartPosition (Earth Greatest)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_GreatestEarthStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	57,	35);
------------------------------------------------------------	
-- Civilizations_EuroLargeStartPosition (Europe Large)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_EuroLargeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroLargeStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	57,	14);
------------------------------------------------------------	
-- Civilizations_MediterraneanStartPosition (Mediterranean)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_MediterraneanStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_MediterraneanStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	83,	11);
------------------------------------------------------------
-- Civilizations_AfricaLargeStartPosition (Africa Large)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AfricaLargeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AfricaLargeStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	42,	66);
------------------------------------------------------------	
-- Civilizations_NileValleyStartPosition (Nile Valley)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_NileValleyStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NileValleyStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	27,	58);
------------------------------------------------------------	
-- Civilizations_EuroLargeNewStartPosition (Greatest Europe)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_EuroLargeNewStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroLargeNewStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	62,	4);
------------------------------------------------------------
-- Civilizations_AfriAsiaAustStartPosition (Afri/Asia/Aust)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AfriAsiaAustStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AfriAsiaAustStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	42,	62);
------------------------------------------------------------	
-- Civilizations_AfriSouthEuroStartPosition (Africa & South Europe)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AfriSouthEuroStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AfriSouthEuroStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	49,	57);
------------------------------------------------------------	
-- Civilizations_AfriGiantStartPosition (Africa Giant)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AfriGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AfriGiantStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	90,	124);
------------------------------------------------------------
-- Civilizations_IndianOceanStartPosition (Indian Ocean)
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_IndianOceanStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_IndianOceanStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	3,	71);
------------------------------------------------------------	
-- Civilizations_AtlanticGiantStartPosition
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_AtlanticGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AtlanticGiantStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	166,	13);
------------------------------------------------------------	
-- Civilizations_EarthMk3StartPosition
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_EarthMk3StartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EarthMk3StartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	34,	44);
------------------------------------------------------------
-- Civilizations_MediterraneanHugeStartPosition
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_MediterraneanHugeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_MediterraneanHugeStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	83,	16);
------------------------------------------------------------	
-- Civilizations_OrientStartPosition
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS Civilizations_OrientStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_OrientStartPosition
		(Type,							X,	Y)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	34,	42);
-------------------------------------
-- Civilizations_YagemRequestedResource (Earth Giant)
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YagemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YagemRequestedResource
		(Type, 							Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_THP_FATIMID_MUIZZ',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YagemRequestedResource WHERE Type = 'CIVILIZATION_ARABIA';	
--========================================================================================================================
-- JFD's CITIES IN DEVELOPMENT
--========================================================================================================================
--==========================================================	
-- COLONIES 
--==========================================================	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_ColonialCityNames (
	CivilizationType 			text 	REFERENCES Civilizations(Type) 		default null,
	ColonyName 				text						default null,
	LinguisticType				text						default	null,
	CultureType				text						default	null);

INSERT INTO Civilization_JFD_ColonialCityNames
		(CivilizationType, 		ColonyName,		LinguisticType)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ', 	null,			'JFD_Arabic');
------------------------------------------------------------		
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_DECOLONIZATION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,						Flavor)
VALUES	('LEADER_THP_MUIZZ',	'FLAVOR_JFD_DECOLONIZATION',	7);
--==========================================================	
-- PROVINCES 
--==========================================================	
-- Civilization_JFD_ProvinceTitles
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_ProvinceTitles (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 		default null,
	ReligionType  			text 		REFERENCES Religions(Type) 		default null, -- ignore this
	DefaultTitle			text 							default null,
	UniqueTitle			text 							default null,
	UseAdjective			boolean							default 0);	

INSERT INTO Civilization_JFD_ProvinceTitles
		(CivilizationType,		DefaultTitle, UniqueTitle, UseAdjective)
SELECT	'CIVILIZATION_THP_FATIMID_MUIZZ',	DefaultTitle, UniqueTitle, UseAdjective
FROM Civilization_JFD_ProvinceTitles WHERE CivilizationType = 'CIVILIZATION_ARABIA';
--==========================================================	
-- SLAVERY 
--==========================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_SLAVERY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,					Flavor)
VALUES	('LEADER_THP_MUIZZ',	'FLAVOR_JFD_SLAVERY',		8);
--========================================================================================================================
-- JFD's CULTURAL DIVERSITY
--========================================================================================================================
-- Civilization_JFD_CultureTypes
-------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_CultureTypes(
	CivilizationType 		text 	REFERENCES Civilizations(Type) 			default null,
	CultureType 			text							default null,
	ArtDefineTag			text							default	null,
	DefeatScreenEarlyTag		text							default	null,
	DefeatScreenMidTag		text							default	null,
	DefeatScreenLateTag		text							default	null,
	IdealsTag			text							default	null,
	SplashScreenTag			text							default	null,
	SoundtrackTag			text							default	null,
	UnitDialogueTag			text							default null);

INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,				ArtDefineTag, CultureType, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_THP_FATIMID_MUIZZ',	ArtDefineTag, CultureType, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_ARABIA';
--========================================================================================================================
-- JFD's EXPLORATION CONTINUED EXPANDED
--========================================================================================================================
INSERT INTO Unit_FreePromotions
		(UnitType, 					PromotionType)
SELECT	'UNIT_THP_AHDATH',		'PROMOTION_JFD_DESERT_IMMUNITY'
WHERE EXISTS (SELECT Type FROM UnitPromotions WHERE Type = 'PROMOTION_JFD_SCURVY_IMMUNITY');
--========================================================================================================================
-- JFD's AND POUAKAI's MERCENARIES
--========================================================================================================================
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_MERCENARY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,				FlavorType,					Flavor)
VALUES	('LEADER_THP_MUIZZ',		'FLAVOR_JFD_MERCENARY',		7);
--========================================================================================================================
-- JFD's RISE TO POWER
--========================================================================================================================
-- PIETY
--==========================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_RELIGIOUS_INTOLERANCE'),
		('FLAVOR_JFD_STATE_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,								Flavor)
VALUES	('LEADER_THP_MUIZZ',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',		3),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_STATE_RELIGION',			8);
--==========================================================	
-- PROSPERITY
--==========================================================
-- Civilization_JFD_Currencies
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Currencies (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 	default null,
	CurrencyType	  				text 		  								default null);

INSERT INTO Civilization_JFD_Currencies
		(CivilizationType,				CurrencyType)
SELECT	'CIVILIZATION_THP_FATIMID_MUIZZ',	CurrencyType
FROM Civilization_JFD_Currencies WHERE CivilizationType = 'CIVILIZATION_ARABIA';
--==========================================================	
-- INVENTIONS 
--==========================================================	
-- Civilization_JFD_Inventions
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Inventions (
	CivilizationType  		text 	REFERENCES Civilizations(Type) 		default null,
	InventionType  			text 		 				default null,
	InventionPreference		text 		 				default null);
	
INSERT INTO Civilization_JFD_Inventions
		(CivilizationType, 		 InventionType, 		 InventionPreference)
VALUES 	('CIVILIZATION_THP_FATIMID_MUIZZ', 	'INVENTION_JFD_WRITING',	'WRITING_JFD_ARABIC'),
	('CIVILIZATION_THP_FATIMID_MUIZZ', 	'INVENTION_JFD_SOCIETY',	'SOCIETY_JFD_AL_HASHASHIN');
--==========================================================	
-- SOVEREIGNTY
--==========================================================
-- Civilization_JFD_Governments
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Governments (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 		default null,
	CultureType	  		text 							default null,
	LegislatureName			text							default	null,
	OfficeTitle			text							default	null,
	GovernmentType			text							default	null,
	Weight				integer							default	0);

INSERT INTO Civilization_JFD_Governments
		(CivilizationType,	LegislatureName, 	OfficeTitle, 	GovernmentType, 	Weight)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',	'TXT_KEY_JFD_LEGISLATURE_NAME_CIVILIZATION_THP_MUIZZ', 	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_THP_MUIZZ', 	'GOVERNMENT_JFD_THEOCRACY', 	80);
------------------------------------------------------------
-- Civilization_JFD_Titles
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Titles (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 		default null,
	CultureType			text 							default null,
	ReligionType			text 		REFERENCES Religions(Type) 		default null,
	DefaultTitle			text 		 					default null,
	UniqueTitle			text 							default null,
	UseAdjective			boolean							default 0);	

INSERT INTO Civilization_JFD_Titles
		(CivilizationType,					DefaultTitle,									UniqueTitle,	UseAdjective)
VALUES	('CIVILIZATION_THP_FATIMID_MUIZZ',		'TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_LEADER',	'TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_LEADER_MUIZZ', 1),
    ('CIVILIZATION_THP_FATIMID_MUIZZ',        'TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_GOVERNMENT', 'TXT_KEY_GOVERNMENT_JFD_EMPIRE_TITLE_GOVERNMENT_MUIZZ',	1);
------------------------------------------------------------
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_LEGAL'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,				Flavor)
VALUES		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_GOVERNMENT',		7),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_LEGAL',		9),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_CULTURE',		6),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_ECONOMIC',		5),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_FOREIGN',		7),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_INDUSTRY',		5),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_MILITARY',		5),
		('LEADER_THP_MUIZZ',	'FLAVOR_JFD_REFORM_RELIGION',		6);
--=======================================================================================================================
-- Pouakai's Enlightenment Era
--=======================================================================================================================
UPDATE Units SET GoodyHutUpgradeUnitClass =
( CASE WHEN EXISTS(SELECT Type FROM UnitClasses WHERE Type="UNITCLASS_EE_SKIRMISHER" )
THEN "UNITCLASS_EE_SKIRMISHER"
ELSE "UNITCLASS_GATLINGGUN" END
) WHERE Type = "UNIT_THP_AHDATH";

UPDATE Unit_ClassUpgrades SET UnitClassType =
( CASE WHEN EXISTS(SELECT Type FROM UnitClasses WHERE Type="UNITCLASS_EE_SKIRMISHER" )
THEN "UNITCLASS_EE_SKIRMISHER"
ELSE "UNITCLASS_GATLINGGUN" END
) WHERE UnitType = "UNIT_THP_AHDATH";
--=======================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS COMPLETE
--=======================================================================================================================
UPDATE Civilization_Religions SET ReligionType =
( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type="RELIGION_ISLAM_SHIA" )
THEN "RELIGION_ISLAM_SHIA"
ELSE "RELIGION_ISLAM" END
) WHERE CivilizationType = "CIVILIZATION_THP_FATIMID_MUIZZ";
--=======================================================================================
-- EVENTS AND DECISIONS
--=======================================================================================
CREATE TABLE IF NOT EXISTS DecisionsAddin_Support(FileName);

INSERT INTO DecisionsAddin_Support (FileName) VALUES ('Muizz_Decisions.lua');

INSERT INTO BuildingClasses 	
		(Type, 				DefaultBuilding, 		Description)
VALUES	('BUILDINGCLASS_THP_MUIZZ_PEN_DUMMY', 	'BUILDING_THP_MUIZZ_PEN_DUMMY', 'TXT_KEY_BUILDING_THP_MUIZZ_PEN_DUMMY');

INSERT INTO Buildings 	
		(Type, 									BuildingClass, 							GreatPeopleRateModifier,	GreatWorkCount,	Cost,	FaithCost,	PrereqTech,	 NeverCapture,	Description, 								Help)
VALUES	('BUILDING_THP_MUIZZ_PEN_DUMMY', 	'BUILDINGCLASS_THP_MUIZZ_PEN_DUMMY',	30,							-1, 			-1,		-1, 		null, 		 1,				'TXT_KEY_BUILDING_THP_MUIZZ_PEN_DUMMY', 	'TXT_KEY_BUILDING_THP_MUIZZ_PEN_DUMMY');
--==========================================================================================================================
-- TROLLER ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- AdditionalAchievements_Mods
------------------------------
-- N/A: the mod is defined in Billlah's mod support
-------------------------
-- AdditionalAchievements
-------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  			integer 	PRIMARY KEY		AUTOINCREMENT,
	Type			text					default	null,
	Achievopedia		text					default null,
	Header			text					default	null,	
	IconAtlas		text					default	null,	
	PortraitIndex		integer					default	0,
	ModType			text					default	null,	
	ModVersion		integer					default	0,
	Unlocked		boolean					default	0,
	LockedIconAtlas		text					default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex	integer					default	23,
	UnlockSound		text					default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration		integer					default	-1,
	Hidden			boolean					default	0,
	HiddenBorder		boolean					default	0,
	RequiredCivWin		text					default	null,
	RequiredCivLoss		text					default	null,
	RequiredCivKill		text					default	null);

INSERT INTO AdditionalAchievements
		(Type,			Header,			Achievopedia,		ModType,	ModVersion,		RequiredCivWin,				IconAtlas,		PortraitIndex)
VALUES	('AA_THP_MUIZZ_SPECIAL',	'TXT_KEY_AA_THP_MUIZZ_SPECIAL_HEADER',	'TXT_KEY_AA_THP_MUIZZ_SPECIAL_TEXT',	'MOD_THP_FATIMID',	1,				null,					'THP_FATIMID_MUIZZ_ATLAS',	0),
		('AA_THP_MUIZZ_VICTORY',	'TXT_KEY_AA_THP_MUIZZ_VICTORY_HEADER',	'TXT_KEY_AA_THP_MUIZZ_VICTORY_TEXT',	'MOD_THP_FATIMID',	1,				'CIVILIZATION_THP_FATIMID_MUIZZ',	 'THP_FATIMID_MUIZZ_ATLAS',	0);

-----------------
-- Dummy Policies
-----------------
INSERT INTO Policies
	(Type,					Description)
VALUES	('POLICY_AA_THP_MUIZZ_SCI_DUMMY_1',	'TXT_KEY_AA_THP_MUIZZ_SPECIAL_HEADER'),
	('POLICY_AA_THP_MUIZZ_SCI_DUMMY_2',	'TXT_KEY_AA_THP_MUIZZ_SPECIAL_HEADER');

--=======================================================================================================================		
--=======================================================================================================================		
