--=======================================================================================================================
print("Muizz Decisions: loaded")
--=======================================================================================================================
-- UTILITIES
--=======================================================================================================================
-- MOD CHECKS
-------------------------------------------------------------------------------------------------------------------------
-- JFD_IsUsingCPDLL
function JFD_IsUsingCPDLL()
	local cPDLLID = "d1b6328c-ff44-4b0d-aad7-c657f83610cd"
	for _, mod in pairs(Modding.GetActivatedMods()) do
		if (mod.ID == cPDLLID) then
			return true
		end
	end
	return false
end
local isUsingCPDLL = JFD_IsUsingCPDLL()
-------------------------------------------------------------------------------------------------------------------------
-- UTILITIES
-------------------------------------------------------------------------------------------------------------------------
-- JFD_SendWorldEvent
function JFD_SendWorldEvent(playerID, description)
	local player = Players[playerID]
	local playerTeam = Teams[player:GetTeam()]
	local activePlayer = Players[Game.GetActivePlayer()]
	if (not player:IsHuman()) and playerTeam:IsHasMet(activePlayer:GetTeam()) then
		Players[Game.GetActivePlayer()]:AddNotification(NotificationTypes["NOTIFICATION_DIPLOMACY_DECLARATION"], description, "[COLOR_POSITIVE_TEXT]World Events[ENDCOLOR]", -1, -1)
	end
end 
--=======================================================================================================================
-- DECISIONS
--=======================================================================================================================
-- GLOBALS
--------------------------------------------------------------------------------------------------------------------------
local civilizationID  = GameInfoTypes["CIVILIZATION_THP_FATIMID_MUIZZ"]
local mathCeil = math.ceil

-------------------------------------------------------------------------------------------------------------------------
-- Mu'izz: Appoint a Wasita
-------------------------------------------------------------------------------------------------------------------------
local epicID = GameInfoTypes.BUILDING_NATIONAL_EPIC
local holySite = GameInfoTypes.IMPROVEMENT_HOLY_SITE
local policyHolySite = GameInfoTypes.POLICY_DECISIONS_THP_MUIZZ_WASITA

local Decisions_THP_Muizz_Wasita = {}
	Decisions_THP_Muizz_Wasita.Name = "TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_WASITA"
	Decisions_THP_Muizz_Wasita.Desc = "TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_WASITA_DESC"
	HookDecisionCivilizationIcon(Decisions_THP_Muizz_Wasita, "CIVILIZATION_THP_FATIMID_MUIZZ")
	Decisions_THP_Muizz_Wasita.CanFunc = (
	function(player)
		if player:GetCivilizationType() ~= civilizationID then return false, false end
        local iEra = load(player, "Decisions_THP_Muizz_Wasita")
        if iEra then
            local iCurrentEra = player:GetCurrentEra()
            if iEra < iCurrentEra then
                save(player, "Decisions_THP_Muizz_Wasita", nil)
            else
                Decisions_THP_Muizz_Wasita.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_WASITA_ENACTED_DESC")
                return false, false, true
            end
        end
		local goldCost = mathCeil(100*iMod)
		Decisions_THP_Muizz_Wasita.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_WASITA_DESC", goldCost)
		if player:GetGold() < goldCost then return true, false end
		if not (Teams[player:GetTeam()]:IsHasTech(GameInfoTypes.TECH_CIVIL_SERVICE)) then return true, false end
		if player:GetNumResourceAvailable(iMagistrate, false) < 1 then return true, false end
		return true, true
	end
	)

	Decisions_THP_Muizz_Wasita.DoFunc = (
	function(player)
		local playerID = player:GetID()
		local goldCost = mathCeil(100*iMod)
		player:ChangeNumResourceTotal(iMagistrate, -1)
		player:ChangeGold(-goldCost)
        save(player, "Decisions_THP_Muizz_Wasita", player:GetCurrentEra())
        player:SetNumFreeGreatPeople(1)
		JFD_SendWorldEvent(playerID, Locale.ConvertTextKey("TXT_KEY_WORLD_EVENT_THP_FATIMID_MUIZZ_WASITA", player:GetName(), player:GetCivilizationShortDescription(), player:GetCivilizationAdjective()))
	end
	)
	
Decisions_AddCivilisationSpecific(civilizationID, "Decisions_THP_Muizz_Wasita", Decisions_THP_Muizz_Wasita)

-------------------------------------------------------------------------------------------------------------------------
-- Mu'izz: Develop the Fountain Pen
-------------------------------------------------------------------------------------------------------------------------
local tEngineering = GameInfoTypes.TECH_ENGINEERING
local bPseudoGarden = GameInfoTypes.BUILDING_THP_MUIZZ_PEN_DUMMY

local Decisions_THP_Muizz_Pen = {}
	Decisions_THP_Muizz_Pen.Name = "TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_PEN"
	Decisions_THP_Muizz_Pen.Desc = "TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_PEN_DESC"
	HookDecisionCivilizationIcon(Decisions_THP_Muizz_Pen, "CIVILIZATION_THP_FATIMID_MUIZZ")
	Decisions_THP_Muizz_Pen.CanFunc = (
	function(player)
		if player:GetCivilizationType() ~= civilizationID then return false, false end
		if load(player, "Decisions_THP_Muizz_Pen") == true then
			Decisions_THP_Muizz_Pen.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_PEN_ENACTED_DESC")
			return false, false, true
		end
		local goldCost = mathCeil(250*iMod)
		Decisions_THP_Muizz_Pen.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_THP_FATIMID_MUIZZ_PEN_DESC", goldCost)
		if player:GetGold() < goldCost then return true, false end
        if not (Teams[player:GetTeam()]:IsHasTech(tEngineering)) then return true, false end
		if player:GetNumResourceAvailable(iMagistrate, false) < 1 then return true, false end
		return true, true
	end
	)

	Decisions_THP_Muizz_Pen.DoFunc = (
	function(player)
		local playerID = player:GetID()
		local goldCost = mathCeil(250*iMod)
		player:ChangeNumResourceTotal(iMagistrate, -1)
		player:ChangeGold(-goldCost)
        save(player, "Decisions_THP_Muizz_Pen", true)
        player:GetCapitalCity():SetNumRealBuilding(bPseudoGarden, 1)
		JFD_SendWorldEvent(playerID, Locale.ConvertTextKey("TXT_KEY_WORLD_EVENT_THP_FATIMID_MUIZZ_PEN", player:GetName(), player:GetCivilizationShortDescription(), player:GetCivilizationAdjective()))
	end
	)
	
Decisions_AddCivilisationSpecific(civilizationID, "Decisions_THP_Muizz_Pen", Decisions_THP_Muizz_Pen)
